
Auto Multiple Choice - Bug # 126: Preferences dialog can be opened twice and it messes the 
configuration

Status: Closed Priority: High
Author: Benjamin BALET Category:
Created: 01/16/2013 Assignee:
Updated: 03/08/2013 Due date:
Description: Preferences dialog can be opened twice and it messes the configuration. I mean that in that case, the whole 

configuration is reset and uninstall/reinstall AMC doesn't restore a default configuration.
Suggestions :
 - Make this dialog modal or forbid the user to open a new dialog.
 - Add a button that restores a default configuration.

History
01/16/2013 02:12 pm - Alexis Bienvenüe
- Status changed from New to Feedback

See #93 : this should have been fixed since revision r1236, or is related to a Unity (Ubuntu) bug. Tell us if you're in none of these cases.

01/16/2013 02:32 pm - red sea
mybe he used old version

01/17/2013 02:14 am - Benjamin BALET
I'm using Ubuntu/Unity and the latest available deb package of AMC.

01/17/2013 09:06 am - Alexis Bienvenüe
So I think this bug is a Unity bug. Try to switch to XFCE.

01/17/2013 11:21 am - Anirvan Sarkar
Benjamin BALET wrote:
> uninstall/reinstall AMC doesn't restore a default configuration.

There is no need to reinstall AMC to restore the default configuration. You can restore it by deleting the @cf.default.xml@ and @state.xml@ files 
present in the *.AMC.d* folder in your home directory.

After deleting these files start AMC. It will open with the default configuration.

The whole configuration is not reset while uninstalling/reinstalling AMC as the *.AMC.d* folder, which stores the user preferences, is not removed during 
uninstallation .

03/08/2013 09:37 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Closed
